Bug 1776757 - DHT - Reduce methods scope
Summary: DHT - Reduce methods scope
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Barak Sason Rofman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 10:33 UTC by Barak Sason Rofman
Modified: 2020-02-13 10:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-10 18:17:20 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23759 None Open DHT - Reduce methods scope (dht-common.c) 2019-12-17 09:08:08 UTC

Description Barak Sason Rofman 2019-11-26 10:33:27 UTC
Description of problem:
Incorrect methods scope.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
Many methods are defined in an incorrect scope, which hurts encapsulation.

Expected results:
Methods should be defined in the correct scope - static or global.

Additional info:

Comment 1 Worker Ant 2019-11-26 10:37:47 UTC
REVIEW: https://review.gluster.org/23759 (DHT - Incorrect methods scope) posted (#1) for review on master by Barak Sason Rofman

Comment 2 Worker Ant 2019-12-17 09:08:09 UTC
REVIEW: https://review.gluster.org/23759 (DHT - Reduce methods scope (dht-common.c)) merged (#6) on master by Amar Tumballi

Comment 3 Sunny Kumar 2020-02-10 18:17:20 UTC
Patch is merged closing this bug now.

Comment 4 Worker Ant 2020-02-13 10:43:17 UTC
REVISION POSTED: https://review.gluster.org/23900 (dht - Reducing methods scope) posted (#10) for review on master by Barak Sason Rofman


Note You need to log in before you can comment on or make changes to this bug.